package net.northking.cctp.executePlan.dto.planInfo;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;

public class DeviceList {
    /**
     * 设备主键<br>
     */
    @ApiModelProperty("设备主键")
    @Size(max = 128, message="设备主键-deviceId: 数据长度不能 > 32" )
    private String deviceId;
    /**
     * 设备类型;1-PC，2-移动端<br>
     */
    @ApiModelProperty("设备类型;1-PC，2-移动端")
    @Size(max = 1, message="设备类型;1-PC，2-移动端-deviceType: 数据长度不能 > 1" )
    private String deviceType;
    /**
     * 浏览器类型;1-IE，2-chrome，3-firefox，4-edge<br>
     */
    @ApiModelProperty("浏览器类型;1-IE，2-chrome，3-firefox，4-edge")
    @Size(max = 1, message="浏览器类型;1-IE，2-chrome，3-firefox，4-edge-browserType: 数据长度不能 > 1" )
    private String browserType;

    @ApiModelProperty("系统类型 0-Android 1-IOS 2-HarmonyOS")
    private String platformType;

    public String getPlatformType() {
        return platformType;
    }

    public void setPlatformType(String platformType) {
        this.platformType = platformType;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getBrowserType() {
        return browserType;
    }

    public void setBrowserType(String browserType) {
        this.browserType = browserType;
    }
}
